valentina-puzzle(1)

NAME
Valentina Puzzle - Valentina's manual layout

SYNOPSIS
valentina-puzzle [options] file

DESCRIPTION
Valentina Puzzle is the name of the new application to create manual layouts. Similar to "Tape", it is an application that is separated from Valentina and work on it's own, but is a part of the Valentina package and work closely together with Valentina.

Valentina Puzzle is a part of Valentina. And used for creating and editing manual layouts.

-h, --help
    Displays this help.

-v, --version
    Displays version information.

-e, --exportFile <The filename of layout file>
    The filename of exported layout file. Use it to enable console export mode.

-r, --rawLayout <The raw layout data file>
    Load pattern pieces form the raw layout data file.

-f, --format <Format number>
    Number corresponding to tiled pdf page template (default = 0, export mode with tiled pdf format): <not defined>

--bdxf
    Export dxf in binary form.

--text2paths
    Export text as paths.

-c, --crop
    Auto crop unused length (export mode).

--cropWidth
    Auto crop unused width (export mode).

--tiledPageformat <Template number>
    Number corresponding to tiled pdf page template (default = 0, export mode with tiled pdf format): <not defined>

--tiledlmargin <The left margin>
    Tiled page left margin in current units like 3.0 (export mode). If not set will be used default value 1 cm.

--tiledrmargin <The right margin>
    Tiled page right margin in current units like 3.0 (export mode). If not set will be used default value 1 cm.

--tiledtmargin <The top margin>
    Tiled page top margin in current units like 3.0 (export mode). If not set will be used value default value 1 cm.

--tiledbmargin <The bottom margin>
    Tiled page bottom margin in current units like 3.0 (export mode). If not set will be used value default value 1 cm.

--tiledLandscape
    Set tiled page orienatation to landscape (export mode). Default value if not set portrait.

-t, --test
    Run the program in a test mode. The program in this mode loads a single layout file and silently quit without showing the main window. The key have priority before key 'exportFile'.

--no-scaling
    Disable high dpi scaling. Call this option if has problem with scaling (by default scaling enabled). Alternatively you can use the QT_AUTO_SCREEN_SCALE_FACTOR=0 environment variable.

Arguments:
    filename - the manual layout file.

AUTHOR
This manual page was written by Roman Telezhynskyi <dismine@gmail.com>

valentina(1)